summaryrefslogtreecommitdiff
path: root/lib/tevent/script
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2009-08-28 16:04:47 +0200
committerMichael Adam <obnox@samba.org>2009-09-11 15:31:24 +0200
commitf0e276cff896bb40941357a27c0ff1cd772ba8b4 (patch)
treef1b0992976c2bb297b19cffc4e7c39c57daee9b0 /lib/tevent/script
parent31ee07293420a6faae53ad71e3517a332cd45006 (diff)
downloadsamba-f0e276cff896bb40941357a27c0ff1cd772ba8b4.tar.gz
samba-f0e276cff896bb40941357a27c0ff1cd772ba8b4.tar.bz2
samba-f0e276cff896bb40941357a27c0ff1cd772ba8b4.zip
tevent: move the original abi_checks script to script/abi_checks_gcc.sh
Michael
Diffstat (limited to 'lib/tevent/script')
-rwxr-xr-xlib/tevent/script/abi_checks_gcc.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/lib/tevent/script/abi_checks_gcc.sh b/lib/tevent/script/abi_checks_gcc.sh
new file mode 100755
index 0000000000..95182097d5
--- /dev/null
+++ b/lib/tevent/script/abi_checks_gcc.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+make clean
+
+mkdir abi
+ABI_CHECKS="-aux-info abi/\$@.X"
+make ABI_CHECK="$ABI_CHECKS" CC="/usr/bin/gcc"
+
+for i in abi/*.X; do cat $i | grep 'tevent\.h'; done | sort | uniq | awk -F "extern " '{ print $2 }' | sort> abi/signatures
+
+cat > abi/exports << EOF
+{
+ global:
+EOF
+cat abi/signatures | awk -F '(' '{ print $1 }' | awk -F ' ' '{ print " "$NF";" }' | tr -d '*' | sort >> abi/exports
+cat >> abi/exports << EOF
+
+ local: *;
+};
+EOF
+
+rm -fr abi/*.X
+
+diff -u tevent.signatures abi/signatures
+if [ "$?" != "0" ]; then
+ echo "WARNING: Possible ABI Change!!"
+fi
+
+diff -u tevent.exports abi/exports
+if [ "$?" != "0" ]; then
+ echo "WARNING: Export file may be outdated!!"
+fi